Bug 794641 - Repeated dict_get logs while deleting files in the client log
Repeated dict_get logs while deleting files in the client log
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: logging (Show other bugs)
mainline
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Amar Tumballi
:
Depends On:
Blocks: 817967
  Show dependency treegraph
 
Reported: 2012-02-17 02:11 EST by Anush Shetty
Modified: 2013-12-18 19:07 EST (History)
2 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:11:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anush Shetty 2012-02-17 02:11:07 EST
Description of problem: I see repeated logs from dict_get while trying to delete files from the fuse client on a distributed-replicate volume.

Version-Release number of selected component (if applicable): 3.3.0qa22

  
Actual results:

[2012-02-16 19:52:42.439901] I [dict.c:339:dict_get] (-->/usr/local/lib/glusterfs/3.3.0qa22/xlator/cluster/replicate.so(afr_readdirp_cbk+0xcb8) [0x7fca9fd89382] (-->/usr/local/lib/glusterfs/3.3.0qa22/xlator/cluster/distribute.so(dht_rmdir_readdirp_cbk+0x8e) [0x7fca9fb59e34] (-->/usr/local/lib/glusterfs/3.3.0qa22/xlator/cluster/distribute.so(dht_rmdir_is_subvol_empty+0xd2) [0x7fca9fb5991b]))) 1-dict: !this || key=trusted.glusterfs.dht.linkto
[2012-02-16 19:52:42.700860] I [dict.c:339:dict_get] (-->/usr/local/lib/glusterfs/3.3.0qa22/xlator/cluster/replicate.so(afr_readdirp_cbk+0xcb8) [0x7fca9fd89382] (-->/usr/local/lib/glusterfs/3.3.0qa22/xlator/cluster/distribute.so(dht_rmdir_readdirp_cbk+0x8e) [0x7fca9fb59e34] (-->/usr/local/lib/glusterfs/3.3.0qa22/xlator/cluster/distribute.so(dht_rmdir_is_subvol_empty+0xd2) [0x7fca9fb5991b]))) 1-dict: !this || key=trusted.glusterfs.dht.linkto
[2012-02-16 20:11:24.848635] I [dict.c:339:dict_get] (-->/usr/local/lib/glusterfs/3.3.0qa22/xlator/cluster/replicate.so(afr_readdirp_cbk+0xcb8) [0x7fca9fd89382] (-->/usr/local/lib/glusterfs/3.3.0qa22/xlator/cluster/distribute.so(dht_rmdir_readdirp_cbk+0x8e) [0x7fca9fb59e34] (-->/usr/local/lib/glusterfs/3.3.0qa22/xlator/cluster/distribute.so(dht_rmdir_is_subvol_empty+0xd2) [0x7fca9fb5991b]))) 1-dict: !this || key=trusted.glusterfs.dht.linkto
[2012-02-16 20:11:24.910638] I [dict.c:339:dict_get] (-->/usr/local/lib/glusterfs/3.3.0qa22/xlator/cluster/replicate.so(afr_readdirp_cbk+0xcb8) [0x7fca9fd89382] (-->/usr/local/lib/glusterfs/3.3.0qa22/xlator/cluster/distribute.so(dht_rmdir_readdirp_cbk+0x8e) [0x7fca9fb59e34] (-->/usr/local/lib/glusterfs/3.3.0qa22/xlator/cluster/distribute.so(dht_rmdir_is_subvol_empty+0xd2) [0x7fca9fb5991b]))) 1-dict: !this || key=trusted.glusterfs.dht.linkto
[2012-02-16 20:12:56.019936] I [dict.c:339:dict_get] (-->/usr/local/lib/glusterfs/3.3.0qa22/xlator/cluster/replicate.so(afr_readdirp_cbk+0xcb8) [0x7fca9fd89382] (-->/usr/local/lib/glusterfs/3.3.0qa22/xlator/cluster/distribute.so(dht_rmdir_readdirp_cbk+0x8e) [0x7fca9fb59e34] (-->/usr/local/lib/glusterfs/3.3.0qa22/xlator/cluster/distribute.so(dht_rmdir_is_subvol_empty+0xd2) [0x7fca9fb5991b]))) 1-dict: !this || key=trusted.glusterfs.dht.linkto
[2012-02-16 20:12:56.041061] I [dict.c:339:dict_get] (-->/usr/local/lib/glusterfs/3.3.0qa22/xlator/cluster/replicate.so(afr_readdirp_cbk+0xcb8) [0x7fca9fd89382] (-->/usr/local/lib/glusterfs/3.3.0qa22/xlator/cluster/distribute.so(dht_rmdir_readdirp_cbk+0x8e) [0x7fca9fb59e34] (-->/usr/local/lib/glusterfs/3.3.0qa22/xlator/cluster/distribute.so(dht_rmdir_is_subvol_empty+0xd2) [0x7fca9fb5991b]))) 1-dict: !this || key=trusted.glusterfs.dht.linkto
[2012-02-16 20:15:37.322858] I [dict.c:339:dict_get] (-->/usr/local/lib/glusterfs/3.3.0qa22/xlator/cluster/replicate.so(afr_readdirp_cbk+0xcb8) [0x7fca9fd89382] (-->/usr/local/lib/glusterfs/3.3.0qa22/xlator/cluster/distribute.so(dht_rmdir_readdirp_cbk+0x8e) [0x7fca9fb59e34] (-->/usr/local/lib/glusterfs/3.3.0qa22/xlator/cluster/distribute.so(dht_rmdir_is_subvol_empty+0xd2) [0x7fca9fb5991b]))) 1-dict: !this || key=trusted.glusterfs.dht.linkto
[2012-02-16 20:15:37.350734] I [dict.c:339:dict_get] (-->/usr/local/lib/glusterfs/3.3.0qa22/xlator/cluster/replicate.so(afr_readdirp_cbk+0xcb8) [0x7fca9fd89382] (-->/usr/local/lib/glusterfs/3.3.0qa22/xlator/cluster/distribute.so(dht_rmdir_readdirp_cbk+0x8e) [0x7fca9fb59e34] (-->/usr/local/lib/glusterfs/3.3.0qa22/xlator/cluster/distribute.so(dht_rmdir_is_subvol_empty+0xd2) [0x7fca9fb5991b]))) 1-dict: !this || key=trusted.glusterfs.dht.linkto


Expected results: The number of times they appear in the log file could be reduced.
Comment 1 Anand Avati 2012-02-21 05:41:48 EST
CHANGE: http://review.gluster.com/2763 (cluster/distribute: send the right 'dict' for check_is_linkfile()) merged in master by Anand Avati (avati@redhat.com)
Comment 2 Anush Shetty 2012-05-18 09:49:42 EDT
Verified with 3.3.0qa41

Note You need to log in before you can comment on or make changes to this bug.